Bug 177629 - Open Office Crash
Open Office Crash
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-12 10:38 EST by Peter Meyer
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.0.1.1-5.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-20 06:27:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Crash log (3.95 KB, text/plain)
2006-01-12 10:38 EST, Peter Meyer
no flags Details

  None (edit)
Description Peter Meyer 2006-01-12 10:38:04 EST
Description of problem:
The OpenOffice tool is randomly crashing.

Version-Release number of selected component (if applicable):

OpenOffice2.0  2.0.1.1-4.1

How reproducible:
Random

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Video Driver is probably radeon
DESKTOP_SESSION is set to gnome
libgcj version is libgcj-4.0.2-8.fc4
OpenOffice.org core rpm version is openoffice.org-core-2.0.1.1-4.1
0x351007: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e007
0x3517cc: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e7cc
0x9c0420:  + 0x420 (__kernel_sigreturn + 0x0)
0x6d3c3b1: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0x39b3b1
0x6b586f4: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0x1b76f4
0x6b59a51: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0x1b8a51
0x48f4908: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1cf908
0x48f49c5: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1cf9c5
0x48f49c5: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1cf9c5
0x48f49c5: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1cf9c5
0x48f49c5: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1cf9c5
0x48f49c5: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1cf9c5
0x48f49c5: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1cf9c5
0x48f4be3: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1cfbe3
(Window::Update() + 0x191)
0x6b01e51: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0x160e51
0x6b024e8: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0x1614e8
0x6b02532: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0x161532
0x47a8c64: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x83c64
0x490df47: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1e8f47
(Control::ImplCallEventListenersAndHandler(unsigned long, Link const&0x4938baf:
/usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x213baf
(ScrollBar::Scroll() + 0x25)
0x493a63e: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x21563e
0x493b8ff: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x2168ff
(ScrollBar::Tracking(TrackingEvent const&) + 0x131)
0x49015a6: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1dc5a6
0x4902e1b: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1dde1b
0x4901ac9: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1dcac9
0xcd0aee: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x2aaee
0xccda8f: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x27a8f
0x406fbe2: /usr/lib/libgtk-x11-2.0.so.0 + 0x10bbe2
0xe84285: /usr/lib/libgobject-2.0.so.0 + 0x8285 (g_closure_invoke + 0x10a)
0xe9275b: /usr/lib/libgobject-2.0.so.0 + 0x1675b
0xe93c23: /usr/lib/libgobject-2.0.so.0 + 0x17c23 (g_signal_emit_valist + 0x41e)
0xe94223: /usr/lib/libgobject-2.0.so.0 + 0x18223 (g_signal_emit + 0x29)
0x414b743: /usr/lib/libgtk-x11-2.0.so.0 + 0x1e7743
0x406e348: /usr/lib/libgtk-x11-2.0.so.0 + 0x10a348 (gtk_propagate_event + 0xc1)
0x406e784: /usr/lib/libgtk-x11-2.0.so.0 + 0x10a784 (gtk_main_do_event + 0x329)
0x36b3df6: /usr/lib/libgdk-x11-2.0.so.0 + 0x3bdf6
0x3a074ce: /usr/lib/libglib-2.0.so.0 + 0x234ce (g_main_context_dispatch + 0x1dc)
0x3a0a4d6: /usr/lib/libglib-2.0.so.0 + 0x264d6
0x3a0a9b8: /usr/lib/libglib-2.0.so.0 + 0x269b8 (g_main_context_iteration + 0x66)
0xcc0a53: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x1aa53
0xefe412: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x46412
(X11SalInstance::Yield(unsigned char) + 0x28)
0x47aeef8: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x89ef8
(Application::Yield() + 0x48)
0x47aef2e: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x89f2e
(Application::Execute() + 0x26)
0x5077fea: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x28fea
(desktop::Desktop::Main() + 0x15c6)
0x47b4473: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8f473
0x47b4523: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8f523 (SVMain()
+ 0x29)
0x506fa37: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x20a37 (sal_main
+ 0x57)
0x506fa83: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x20a83 (main + 0x27)
0xa04d5f: /lib/libc.so.6 + 0x14d5f (__libc_start_main + 0xdf)
0x80484e1: /usr/lib/openoffice.org2.0/program/scalc.bin + 0x4e1
Comment 1 Peter Meyer 2006-01-12 10:38:05 EST
Created attachment 123120 [details]
Crash log
Comment 2 Peter Meyer 2006-01-12 20:21:14 EST
Upon further work with the tool, it appears to only happen within the calc too.
 I don't have any other crash logs pointing to other tools within the suite.

Peter
Comment 3 Caolan McNamara 2006-01-18 05:27:50 EST
how about with 2.0.1.1-5.1 for fc4 updates ?
Comment 4 Peter Meyer 2006-01-18 19:53:12 EST
Hello Caolan:

I just installed 2.0.1.1-5.1.  I'll need a week to ensure that this crash no
longer occurs.

Peter
Comment 5 Caolan McNamara 2006-01-20 06:27:02 EST
I'll call it *fixed* and reopen this if it crashes with the same problem
Comment 6 Peter Meyer 2006-01-21 10:42:48 EST
Hi Caolan:

I've checked new version and have thus far to see this problem.  I'll support
the decision to mark it fixed.

Peter

Note You need to log in before you can comment on or make changes to this bug.